
#ifndef _RENDER_H_
#define _RENDER_H_

/* Global variables */
extern int use_static;
extern byte xlat[0x20];
extern byte internal_buffer[0x100];
extern word pixel[0x20];
extern byte cache[0x20000];
extern byte *linebuf;
extern dword atex[4];
extern byte vram_dirty[0x200];
extern byte is_vram_dirty;
extern int vp_vstart;
extern int vp_vend;
extern int vp_hstart;
extern int vp_hend;

/* Function prototypes */
void render_init(void);
void render_reset(void);
void render_bg_gg(int line);
void render_bg_sms(int line);
void render_obj(int line);
void render_line(int line);
void update_cache(void);

#endif /* _RENDER_H_ */
