
#ifndef _DOS_H_
#define _DOS_H_

/* Function prototypes */
void init_machine(void);
void trash_machine(void);
void update_input(void);
void update_palette(void);
int load_rom(char *filename);
void load_sram(char *filename);
void save_sram(char *filename);
void parse_args(int argc, char **argv);
void do_config(void);
void tick_handler(void);
int check_key(int code);

#endif /* _DOS_H_ */
