
#ifndef _BLIT_H_
#define _BLIT_H_

extern void (*blit_table[])(BITMAP *src, BITMAP *dst);

/* From 'blit.s' */
extern void blit_sms_expand_scanlines_mmx    (BITMAP *src, BITMAP *dst);
extern void blit_sms_expand_scanlines        (BITMAP *src, BITMAP *dst);
extern void blit_sms_expand_mmx_vs           (BITMAP *src, BITMAP *dst);
extern void blit_sms_expand_mmx              (BITMAP *src, BITMAP *dst);
extern void blit_sms_expand_vs               (BITMAP *src, BITMAP *dst);
extern void blit_sms_expand                  (BITMAP *src, BITMAP *dst);
extern void blit_gg_expand_scanlines_mmx     (BITMAP *src, BITMAP *dst);
extern void blit_gg_expand_scanlines         (BITMAP *src, BITMAP *dst);
extern void blit_gg_expand_mmx_vs            (BITMAP *src, BITMAP *dst);
extern void blit_gg_expand_mmx               (BITMAP *src, BITMAP *dst);
extern void blit_gg_expand_vs                (BITMAP *src, BITMAP *dst);
extern void blit_gg_expand                   (BITMAP *src, BITMAP *dst);
extern void blit_sms_expand_scanlines_mmx_16 (BITMAP *src, BITMAP *dst);
extern void blit_sms_expand_scanlines_16     (BITMAP *src, BITMAP *dst);
extern void blit_sms_expand_mmx_vs_16        (BITMAP *src, BITMAP *dst);
extern void blit_sms_expand_mmx_16           (BITMAP *src, BITMAP *dst);
extern void blit_sms_expand_vs_16            (BITMAP *src, BITMAP *dst);
extern void blit_sms_expand_16               (BITMAP *src, BITMAP *dst);
extern void blit_gg_expand_scanlines_mmx_16  (BITMAP *src, BITMAP *dst);
extern void blit_gg_expand_scanlines_16      (BITMAP *src, BITMAP *dst);
extern void blit_gg_expand_mmx_vs_16         (BITMAP *src, BITMAP *dst);
extern void blit_gg_expand_mmx_16            (BITMAP *src, BITMAP *dst);
extern void blit_gg_expand_vs_16             (BITMAP *src, BITMAP *dst);
extern void blit_gg_expand_16                (BITMAP *src, BITMAP *dst);

/* from 'dos.c' */
void blit_sms                                (BITMAP *src, BITMAP *dst);
void blit_sms_scanlines                      (BITMAP *src, BITMAP *dst);
void blit_sms_scale                          (BITMAP *src, BITMAP *dst);
void blit_sms_scale_scanlines                (BITMAP *src, BITMAP *dst);
void blit_gg                                 (BITMAP *src, BITMAP *dst);
void blit_gg_scanlines                       (BITMAP *src, BITMAP *dst);
void blit_gg_scale                           (BITMAP *src, BITMAP *dst);
void blit_gg_scale_scanlines                 (BITMAP *src, BITMAP *dst);

#endif /* _BLIT_H_ */
