
#ifndef _YM2413_H_
#define _YM2413_H_

#define MAX_YM2413  (2)

typedef struct
{
    unsigned char reg[0x40];
    unsigned char latch;
    unsigned char rhythm;
    struct
    {
        unsigned short int frequency;
        unsigned char volume;
        unsigned char instrument;
    }channel[9];
}t_ym2413;

extern t_ym2413 ym2413[MAX_YM2413];

/* Function prototypes */
void ym2413_init(int count);
void ym2413_reset(int chip);
void ym2413_write(int chip, int address, int data);
void load_instrument(int chip, int ch, int inst, int vol);
void rhythm_mode_init(int chip);

#endif /* _YM2413_H_ */
